<div class="row mb-3 px-3">
  <div class="col-sm-12">
    <div class="card">
      <div class="card-body">
        <div class="row">
          <div class="col-sm-6">
            <h4 class="text-primary bold py-1 mr-5 my-0">Customer Requirements</h4>
          </div>
          <div class="col-sm-3">
          </div>
          <div class="col-sm-3 text-right">
            <button class="btn btn-primary btn-sm hvr-grow" name="addButton" data-bs-target="#addComponent"
                    data-bs-toggle="modal" (click)="clearAll();openAddModal();">Add&nbsp;<span><i
              class="fa fa-plus-square-o"></i> </span>
            </button>
          </div>
        </div>
        <div class="mt-5 mb-5 table-responsive">
          <table class="datatable-table table">
            <thead class="datatable-head">
            <tr class="datatable-row" style="width:100%;">
              <th scope="col" class="datatable-cell " [appSort]="requirements" data-order="desc"
                  data-name="value"><span>Job ID&nbsp;<span><i
                class="fa fa-sort" aria-hidden="true"></i></span></span>
              </th>
              <th scope="col" class="datatable-cell " [appSort]="requirements" data-order="desc"
                  data-name="modifiedBy"><span>Tribe&nbsp;<span><i
                class="fa fa-sort" aria-hidden="true"></i></span></span>
              </th>
              <th scope="col" class="datatable-cell " [appSort]="requirements" data-order="desc" data-name="date"><span>Role&nbsp;<span><i
                class="fa fa-sort" aria-hidden="true"></i></span></span>
              </th>
              <th scope="col" class="datatable-cell " [appSort]="requirements" data-order="desc" data-name="date"><span>Local Lang Reqd&nbsp;<span><i
                class="fa fa-sort" aria-hidden="true"></i></span></span>
              </th>
              <th scope="col" class="datatable-cell " [appSort]="requirements" data-order="desc" data-name="date"><span>Start Date&nbsp;<span><i
                class="fa fa-sort" aria-hidden="true"></i></span></span>
              </th>
              <th class="" scope="col" class="datatable-cell " [appSort]="requirements" data-order="desc"
                  data-name="date"><span>Count&nbsp;<span><i
                class="fa fa-sort" aria-hidden="true"></i></span></span>
              </th>
              <th class="" scope="col" class="datatable-cell " [appSort]="requirements" data-order="desc"
                  data-name="date"><span>Status&nbsp;<span><i
                class="fa fa-sort" aria-hidden="true"></i></span></span>
              </th>
              <th class="" scope="col" class="datatable-cell " [appSort]="requirements" data-order="desc"
                  data-name="date"><span>Closed On&nbsp;<span><i
                class="fa fa-sort" aria-hidden="true"></i></span></span>
              </th>
              <th scope="col" class="datatable-cell " [appSort]="requirements" data-order="desc" data-name="date"><span>Closed with&nbsp;<span><i
                class="fa fa-sort" aria-hidden="true"></i></span></span>
              </th>
              <th scope="col" class="datatable-cell " [appSort]="requirements" data-order="desc" data-name="date"><span>Hit Ratio&nbsp;<span><i
                class="fa fa-sort" aria-hidden="true"></i></span></span>
              </th>
              <th class="datatable-cell "><span>Actions</span>
              </th>
            </tr>
            </thead>
            <tbody class="datatable-body" style="">
            <tr data-row="0" class="datatable-row mt-2 mb-2" style="left: 0px;"
                *ngFor="let req of requirements">
              <td class=""><a class="no-link text-primary" data-bs-target="#viewModal"
                              data-bs-toggle="modal"> {{req?.jobId}}</a>
              </td>
              <td class="">{{req?.tribe}}
              </td>
              <td class="">{{req?.role}}
              </td>
              <td class="">{{req?.langReqd}}
              </td>
              <td class=""><span class="badge bg-success">{{req?.startDate | date: 'dd/MM/yy'}}</span>
              </td>
              <td class="">{{req?.count}}
              </td>
              <td class=""><span class="badge bg-warning">{{req?.status}}</span>
              </td>
              <td class=""><span class="badge bg-success">{{req?.closedOn | date: 'dd/MM/yy'}}</span>
              </td>
              <td class="">{{req?.closedWith}}
              </td>
              <td class=""><span class="badge bg-primary">{{req?.hitRatio}}</span>
              </td>
              <td class="">
                <button class="btn-warning btn-sm btn hvr-shrink" data-bs-target="#addComponent"
                        data-bs-toggle="modal" (click)="editComponent(req)"
                        title="Edit"><span><i
                  class="fa fa-pencil-square-o"
                  aria-hidden="true"></i></span>
                </button>&nbsp;&nbsp;&nbsp;&nbsp;
                <button class="btn-danger btn-sm btn hvr-shrink" (click)="deleteContent = req"
                        data-bs-toggle="modal"
                        data-bs-target="#deleteModal" title="Delete"><span><i class="fa fa-trash"
                                                                              aria-hidden="true"></i></span>
                </button>
              </td>
            </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>

<!-- Delete Modal -->
<div class="modal fade" id="deleteModal" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
     aria-labelledby="deleteModal" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header bg-danger">
        <h5 class="modal-title text-white" id="delete">Delete&nbsp;Customer Requirement</h5>
        <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <div class="mt-1 mb-1">
          <h6 class="text-danger">Are you sure, you want to delete this requirement? Data cannot be restored
            again. Please
            confirm.</h6>
          <br/>
          <div class="alert alert-warning">
            <h6>{{deleteContent?.jobId}}</h6>
          </div>
        </div>
      </div>
      <div class="modal-footer center">
        <button type="button" class="btn btn-secondary btn-sm" data-bs-dismiss="modal">Close</button>&nbsp;&nbsp;
        <button type="button" class="btn btn-danger btn-sm" (click)="deleteComponent()" data-bs-dismiss="modal">Confirm
        </button>
      </div>
    </div>
  </div>
</div>


<!-- Add Component Modal -->
<div class="modal fade" id="addComponent" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
     aria-labelledby="addComponent" aria-hidden="true">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header bg-theme">
        <h5 class="modal-title text-white" id="component"><span *ngIf="!editMode">Add</span><span
          *ngIf="editMode">Edit</span>&nbsp;Customer Requirement</h5>
        <button type="button" class="btn-close btn-close-white " data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <form class="form" [formGroup]="addForm" (submit)="saveForm()">
        <div class="modal-body">
          <div class="alert alert-danger mt-2 mb-2" *ngIf="errorMessage">
            {{errorMessage}}
          </div>
          <div class="mt-1 mb-1">
            <div class="row">
              <div class="col-sm-4 mb-3">
                <label for="jobId" class="form-label star">Job ID</label>
                <input type="text" formControlName="jobId" class="form-control" id="jobId"
                       required>
              </div>
              <div class="col-sm-4 mb-3">
                <label for="tribe" class="form-label star">Tribe</label>
                <input type="text" formControlName="tribe" class="form-control" id="tribe"
                       required>
              </div>
              <div class="col-sm-4 mb-3">
                <label for="role" class="form-label star">Role</label>
                <input type="text" formControlName="role" class="form-control" id="role"
                       required>
              </div>
              <div class="col-sm-4 mb-3">
                <label for="startDate" class="form-label star">Start Date</label>
                <input class="form-control" placeholder="dd-mm-yyyy" id="startDate"
                       name="startDate" formcontrolname="startDate" (click)="startDate.toggle()" ngbDatepicker
                       #startDate="ngbDatepicker">
              </div>
              <div class="col-sm-4 mb-3">
                <label for="langReqd" class="form-label star">Local Language Required</label>
                <select class="form-select form-select-sm" formControlName="langReqd" name="langReqd"
                        id="langReqd" required>
                  <option value="Required" selected>Required</option>
                  <option value="Not Required">Not Required</option>
                </select>
              </div>
              <div class="col-sm-4 mb-3">
                <label for="count" class="form-label star">Count</label>
                <input type="number" formControlName="count" class="form-control" id="count"
                       required>
              </div>
              <div class="col-sm-4 mb-3">
                <label for="status" class="form-label star">Status</label>
                <select class="form-select form-select-sm" formControlName="status" name="status"
                        id="status" required>
                  <option value="Submitted" selected>Submitted</option>
                  <option value="Won">Won</option>
                  <option value="On Hold">On Hold</option>
                  <option value="Cancelled">Cancelled</option>
                  <option value="Lost">Lost</option>
                </select>
              </div>
              <div class="col-sm-4 mb-3">
                <label for="closedOn" class="form-label star">Closed On</label>
                <input class="form-control" placeholder="dd-mm-yyyy" id="closedOn"
                       name="closedOn" formcontrolname="closedOn" (click)="endDate.toggle()" ngbDatepicker
                       #endDate="ngbDatepicker">
              </div>
              <div class="col-sm-4 mb-3">
                <label for="closedWith" class="form-label star">Closed With</label>
                <input type="text" formControlName="closedWith" class="form-control" id="closedWith"
                       required>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer center">
          <div class="center">
            <button type="submit" class="btn btn-primary btn-sm">Save</button>&nbsp;&nbsp;&nbsp;
            <button type="button" class="btn btn-secondary btn-sm" data-bs-dismiss="modal">Close</button>
          </div>
        </div>
      </form>
    </div>
  </div>
</div>
<!-- Add Component Modal -->

<!-- View Requirement Modal -->
<div class="modal fade" id="viewModal" data-bs-keyboard="false" tabindex="-1"
     aria-labelledby="ViewProfile" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header modal-theme">
        <h5 class="modal-title text-white" id="profile">{{requirement?.jobId}}</h5>
        <button type="button" class="btn-close btn-close-white" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <div class="mt-1 mb-1">
          <div class="row">
            <div class="col-sm-12">
              <div class="row mb-2">
                <div class="col-sm-4">
                  <label class="form-label ">Tribe:</label>
                </div>
                <div class="col-sm-8 bold">
                  {{requirement?.tribe}}
                </div>
              </div>
              <div class="row mb-2">
                <div class="col-sm-4">
                  <label class="form-label ">Role:</label>
                </div>
                <div class="col-sm-8 bold">
                  {{requirement?.role}}
                </div>
              </div>
              <div class="row mb-2">
                <div class="col-sm-4">
                  <label class="form-label ">Status:</label>
                </div>
                <div class="col-sm-8">
                  <span class="badge bg-warning">{{requirement?.status}}</span>
                </div>
              </div>
            </div>
          </div>
          <div class="row table-responsive br5">
            <table class="table table-primary">
              <thead>
              <tr class="center">
                <th>EMP ID</th>
                <th>Name</th>
                <th>Submitted On</th>
                <th>Status</th>
              </tr>
              </thead>
              <tbody>
              <tr class="center">
                <td class="bold">123456</td>
                <td class="bold">Siddharth</td>
                <td class="bold"><span class="badge bg-success">{{requirement?.closedOn | date: 'dd/MM/yy'}}</span></td>
                <td class="bold"><span class="badge bg-warning">Selected</span></td>
              </tr>
              <tr class="center">
                <td class="bold">-</td>
                <td class="bold">Dave</td>
                <td class="bold"><span class="badge bg-success">{{requirement?.closedOn | date: 'dd/MM/yy'}}</span></td>
                <td class="bold"><span class="badge bg-warning">Rejected</span></td>
              </tr>
              </tbody>
            </table>
          </div>
        </div>
        <div class="modal-footer center">
          <button type="button" class="btn btn-secondary btn-sm hvr-shrink" data-bs-dismiss="modal">Close</button>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- View Requirement Modal -->
